Bug 181491 - [HeapWalker] Display local variables in thread dump
[HeapWalker] Display local variables in thread dump
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Tomas Hurka
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-03 12:53 UTC by Tomas Hurka
Modified: 2010-03-05 01:26 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2010-03-03 12:53:45 UTC
Thread dump in the overview part of heapwalker can be extended to display information about local variables, which are temporary GC roots. it should be also possible to navigate from local variable to its corresponding instance in instance view and from the 'Java Frame' GC root in references view to corresponding local variable in thread dump. This should help users to match Java Frame GC roots to corresponding local variable.
Comment 1 Tomas Hurka 2010-03-03 13:04:47 UTC
Done in profiler-main
changeset:   162027:2e92f3f05118
user:        Tomas Hurka <thurka@netbeans.org>
date:        Wed Mar 03 21:03:01 2010 +0100
summary:     issue #181491, local variables added into stack traces in overview tab; allow navigation from/to instances view
Comment 2 Quality Engineering 2010-03-04 22:14:11 UTC
Integrated into 'main-golden', will be available in build *201003050200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/2e92f3f05118
User: Tomas Hurka <thurka@netbeans.org>
Log: issue #181491, local variables added into stack traces in overview tab; allow navigation from/to instances view
Comment 3 Tomas Hurka 2010-03-05 01:26:20 UTC
Available in daily build.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo